summaryrefslogtreecommitdiffstats
path: root/package/pkgconfig/pkgconfig-filter.sh
diff options
context:
space:
mode:
authorPeter Korsgaard <jacmet@sunsite.dk>2008-06-14 21:00:59 +0000
committerPeter Korsgaard <jacmet@sunsite.dk>2008-06-14 21:00:59 +0000
commit6eb60364c44be5113ff39abb1e0cacece9595d81 (patch)
treede7d6d6f0185eecd5dc1102ee6ad9e1424e4caea /package/pkgconfig/pkgconfig-filter.sh
parente147608e7d951ee0873d0bf855e98dcbd0230830 (diff)
downloadbuildroot-novena-6eb60364c44be5113ff39abb1e0cacece9595d81.tar.gz
buildroot-novena-6eb60364c44be5113ff39abb1e0cacece9595d81.zip
pkgconfig: bump version and cleanup
Upgrade to pkgconfig 0.23 which has native sysroot support (buggy, but easily fixable), which allows us to get rid of pkgconfig-filter.sh. At the same time cleanup the makefile.
Diffstat (limited to 'package/pkgconfig/pkgconfig-filter.sh')
-rwxr-xr-xpackage/pkgconfig/pkgconfig-filter.sh28
1 files changed, 0 insertions, 28 deletions
diff --git a/package/pkgconfig/pkgconfig-filter.sh b/package/pkgconfig/pkgconfig-filter.sh
deleted file mode 100755
index f2bd75d8e..000000000
--- a/package/pkgconfig/pkgconfig-filter.sh
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/bash
-# filter the output from pkg-config (renamed as pkg-config.real)
-# and ensures PKG_CONFIG_SYSROOT is prepended to all paths
-
-set -o pipefail
-
-CMD=$0
-
-if [ ! "$PKG_CONFIG_SYSROOT" ]; then
- echo "pkg-config-filter: missing \$PKG_CONFIG_SYSROOT environment variable"
- exit 2
-fi
-
-export PKG_CONFIG_LIBDIR
-export PKG_CONFIG_PATH
-
-if $CMD.real $* |
- sed -e "s~\-L/*$PKG_CONFIG_SYSROOT/*~-L=/~g; s~\-I/*$PKG_CONFIG_SYSROOT/*~-I=/~g;" |
- sed -e "s~\-L/~-L=/~g; s~\-I/~-I=/~g;" |
- sed -e "s~\-L\=~-L$PKG_CONFIG_SYSROOT~g; s~\-I\=~-I$PKG_CONFIG_SYSROOT~g;"
-then
- #echo "PKG_CONFIG_LIBDIR=$PKG_CONFIG_LIBDIR" >&2
- #echo "PKG_CONFIG_PATH=$PKG_CONFIG_PATH" >&2
- #echo "OKAY" >&2;
- exit 0;
-else
- exit $?
-fi